#!/bin/bash -xe

SALT_OPTS="-l debug -t 10 --retcode-passthrough --no-color"

echo "deb [arch=amd64] ${APT_MIRANTIS_SALT_REPO}" > /etc/apt/sources.list.d/mcp_salt.list
apt-get update
apt-get install salt-formula* -y
salt-call saltutil.refresh_pillar
salt-call saltutil.sync_all

salt-call ${SALT_OPTS} state.sls salt
salt-call ${SALT_OPTS} state.sls linux.system.repo,linux.system.directory,linux.system.package
salt-call ${SALT_OPTS} state.sls linux.system.file
salt-call ${SALT_OPTS} state.sls docker.host
salt-call ${SALT_OPTS} state.sls docker exclude=docker.client.registry
sleep 120
salt-call ${SALT_OPTS} state.sls linux.network
salt-call ${SALT_OPTS} state.sls nginx
salt-call ${SALT_OPTS} state.sls maas.mirror
